/*
hcloset.c Version 0.1.0  Hash remove temporary database
Copyright (C) 2003  dondalah@ripco.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

    Free Software Foundation, Inc.
    59 Temple Place - Suite 330
    Boston, MA  02111-1307, USA.
*/

#include <bthash.h>

int hcloset(hashfmt *hshhdr)
   {
   int rslt;
   BOOL  bResult;
   DWORD msgerr;
   LPVOID lpMsgBuf;
   char dbname[256];
   hshhdr->reason = 0;
   strcpy(dbname,hshhdr->dbname);
   rslt = hclose(hshhdr);
   if (rslt) return(rslt);
   bResult = DeleteFile(dbname);
   if (!bResult)
      {
      msgerr = GetLastError();
      FormatMessage(FORMAT_MESSAGE_ALLOCATE_BUFFER |
         FORMAT_MESSAGE_FROM_SYSTEM |
         FORMAT_MESSAGE_IGNORE_INSERTS,
         NULL,            /* source */
         msgerr,
         MAKELANGID(LANG_NEUTRAL, SUBLANG_DEFAULT),
         (LPTSTR) &lpMsgBuf,
         0,               /* message length */
         NULL);           /* insertion values */
      fprintf(stderr,"hclose: %s\n", lpMsgBuf);
      LocalFree(lpMsgBuf);
      fprintf(stderr,"hcloset: error "
         "removing %s\n", dbname);
      return(SYS_ERR + msgerr);
      } /* remove err */
   return(0);
   } /* hcloset */
